Kling Video · v3 · Pro · Motion Control
集成
模型 id
kling-video/v3/pro/motion-control
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/kling-video/v3/pro/motion-control?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"character_orientation": "image"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/kling-video/v3/pro/motion-control?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"character_orientation": "image"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"character_orientation": "image",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/kling-video/v3/pro/motion-control", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/zh/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.ru/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "kling-video/v3/pro/motion-control",
"input": {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"character_orientation": "image"
}
}
通过 Doitong API 调用 Kling Video · v3 · Pro · Motion Control 模型(kling-video/v3/pro/motion-control)。智能体文档:https://doitong.com/zh/developers/models/kling-video/v3/pro/motion-control.md
POST https://api.doitong.ru/v1/run/kling-video/v3/pro/motion-control?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"character_orientation": "image"
}
如果响应状态为 "queued" 或 "running",请轮询 GET https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20,直到状态变为 "succeeded";文件位于 outputs[].url。使用相同请求体 POST https://api.doitong.ru/v1/quote/kling-video/v3/pro/motion-control,可在运行前返回确切价格。
与示例类似的文件: $1.68 1,680 API 积分 · ≈ ₽180.73 运行前会测量你的文件 在此页面运行
你的新 API 密钥。 它仅在此时显示,并且已填入下方的代码和 API 密钥字段中。请妥善保密:切勿将其放入在浏览器中运行的代码。
构建请求
控件根据模型架构生成。更改控件时,代码和价格会同步更新。
POST
/run/kling-video/v3/pro/motion-control?wait=20
报价 → $1.68
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/kling-video/v3/pro/motion-control?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"character_orientation": "image"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/kling-video/v3/pro/motion-control?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"character_orientation": "image"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"character_orientation": "image",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/kling-video/v3/pro/motion-control", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "kling-video/v3/pro/motion-control",
"input": {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"character_orientation": "image"
},
"wait_seconds": 20
}
}
}
关于 Kling Video · v3 · Pro · Motion Control
将 `image_url` 中的角色图像与 `video_url` 中参考视频的动作结合。必须设置 `character_orientation`,用于选择朝向遵循图像还是视频。支持最长 2500 个字符的可选 `prompt`,`keep_original_sound` 可保留参考音频,还可通过 `elements` 绑定一个面部元素以帮助保持身份一致。
参数
发送规范名称或原生名称之一,不要同时发送两者。 规范名称
名称类型
默认值允许值
描述
enable_safety_checker可选
类型boolean
默认值true
只有经过账户授权才能禁用安全检查;未经授权的请求始终会进行检查。
prompt可选
类型string | null
≤ 2,500 个字符
image_url必填
image
类型url · image
用于视频生成的参考图像 URL,文件大小上限为 10.0MB,宽度和高度均为 340px 至 3850px,宽高比为 0.40–2.50。此图像用于引导视频中的角色、背景和其他元素。对于角色,应确保身体比例清晰、无遮挡,且覆盖图像面积超过 5%。
video_url必填
video
类型url · video
指向动作指导输出的角色视频的 URL;视频应展示无遮挡、写实风格的角色,并能看到头部以及完整身体或上半身。character_orientation 设置会将 'image' 的时长限制为 10s,将 'video' 的时长限制为 30s。文件限制:最大 100 MB,宽度和高度均为 340px 至 3850px,时长为 3.0s 至 30.05s。
keep_original_sound可选
类型boolean
默认值true
控制是否保留参考视频的原始声音。
character_orientation必填
类型enum
imagevideo
角色方向来源:'image' 与参考图像匹配,更适合跟随镜头运动,最长 10 秒。对于复杂动作,'video' 更合适:它匹配参考视频的方向,最长支持 30 秒。
elements可选
类型object[]
可选的人脸元素绑定,用于改善输出视频中的身份保持,最多上传 1 个元素。使用 @Element1 在提示词中引用。仅当 character_orientation 设置为 'video' 时可用。
elements[].frontal_image_url可选
类型url · image
展示元素主要视角的正面图像。文件大小不得超过 50 MB;宽度和高度都必须至少为 300px,宽高比介于 0.40 和 2.50 之间。
elements[].reference_image_urls可选
类型url[] · image
提供 1–3 张展示不同角度的额外参考图像。每张图像的宽高比必须介于 0.40 和 2.50 之间,两个维度都至少为 300px,大小不超过 50.0MB。
必填
规范名称,也可接受
文件参数接受公开的 https:// URL、最大 10 MB 的 data: URI,或上传文件的 file_url。 文件
输出
GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "kling-video/v3/pro/motion-control",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 1680,
"usd": "1.68",
"charged": 1680,
"refunded": 0
},
"input": {
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"character_orientation": "image"
},
"output": {
"video": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_name": "0-output.mp4",
"file_size": 1843200
}
},
"outputs": [
{
"type": "video",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_size": 1843200,
"width": 1280,
"height": 720,
"duration": 5,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
- video
- object {url, content_type, file_name, file_size}模型生成的视频。
其他 Kling Video 变体
更多模型:视频转换
对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/kling-video/v3/pro/motion-control.md. 所有模型和指南: https://doitong.com/developers/llms.txt